<?php
if(isset($_POST['nome'])){

	if(trim($_POST['nome']) == '' || empty($_POST['nome']))
		printMsg("Inserire un Nome / Ente","danger");
	if(!is_email($_POST['email']))
		printMsg("Indirizzo e-mail non corretto","danger");
	if(trim($_POST['msg']) == '' || empty($_POST['msg']))
		printMsg("Inserire il testo del messaggio","danger");
	
	$_nome = entities($_POST['nome']);
	$_msg = nl2br(entities($_POST['msg']));
	
	include(ROOT."/includes/classes/phpmailer/class.phpmailer.php");
	$mail = new PHPMailer();
	$mail->IsSMTP();
	$mail->SMTPDebug  = 0;
	$mail->Host       = "smtp.progettoinformatica.com";
	$mail->Port       = 25;
	$mail->SMTPAuth   = true;
	$mail->Username   = "p.cenedese@progettoinformatica.com";
	$mail->Password   = "paolo5";
	$mail->SetFrom('p.cenedese@progettoinformatica.com', 'Servizi Cittadino');
	$mail->CharSet = 'UTF-8';
	$mail->AddReplyTo($_POST['email']);
	$mail->AddAddress('p.cenedese@progettoinformatica.com');
	$mail->Subject = "Servizi Cittadino - Richiesta informazioni";
	$mail->MsgHTML('<strong>Anagrafica / Ente:<br /></strong> '.$_nome.'<br /><br /><strong>Messaggio:</strong><br />'.$_msg);

	if($mail->Send()){
		Js('resetForm("formInfo");');
		printMsg("Grazie per averci contattato. Un nostro addetto vi risponder&agrave; al pi&ugrave; presto","success");
	}
	printMsg("Errore durante l'invio del messaggio. Vi invitiamo a riprovare o a contattarci telefonicamente","warning");
}

$p = new Page('Informazioni e Contatti');
$p->addMenu('public');
$p->setPageDescr("Contattaci per maggiori informazioni sui Servizi Online offerti.");
$p->addCss('public');
$p->printHeader();
?>


<h3>Progetto Informatica s.a.s.<br /><small>via Quintino Sella, 45 - Vigliano Biellese (BI)</small></h3>

<form id="formInfo" role="form" class="form-horizontal" onSubmit="return post(this,'f-result')">
	
    <div class="form-group">
    	<h4 class="control-label col-sm-2 col-xs-4">Telefono</h4>
        <div class="col-sm-10 col-xs-8">
        	<h4 class="form-control-static">015.8976111</h4>
        </div>
    </div>

	
    <h4 class="text-muted">Oppure mandaci un messaggio per ricevere ulteriori informazioni</h4>
    <br />
    <div class="form-group">
        <label class="control-label col-sm-2">Nome / Ente</label>
        <div class="col-sm-3">
            <input type="text" class="form-control" maxlength="40" name="nome">
        </div>
    </div>
    <div class="form-group">
        <label class="control-label col-sm-2">E-mail</label>
        <div class="col-sm-3">
            <input type="text" class="form-control" maxlength="40" name="email">
        </div>
    </div>
    <div class="form-group">
        <label class="control-label col-sm-2">Testo</label>
        <div class="col-sm-6">
            <textarea class="form-control" name="msg" rows="3" style="resize:none"></textarea>
        </div>
    </div>
    <div class="form-group">
        <div class="col-sm-6 col-sm-offset-2">
            <div id="f-result"></div>
            <button type="submit" class="btn btn-primary">Invia messaggio</button>
        </div>
    </div>
    
    
</form>
<?php $p->printFooter(); ?>
